Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 452202 (CVE-2012-2783) - <media-video/libav-0.8.5: multiple vulnerabilities (CVE-2012-{2783,2791,2797,2798,2801,2802,2803,2804,5144})
Summary: <media-video/libav-0.8.5: multiple vulnerabilities (CVE-2012-{2783,2791,2797,...
Status: RESOLVED FIXED
Alias: CVE-2012-2783
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: http://libav.org/releases/libav-0.8.5...
Whiteboard: B2 [glsa]
Keywords:
Depends on: 453328
Blocks:
  Show dependency tree
 
Reported: 2013-01-15 10:44 UTC by Agostino Sarubbo
Modified: 2014-06-26 23:37 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2013-01-15 10:44:37 UTC
From $URL :

version 0.8.5:

- Several bugs and crashes have been fixed in the following codecs:
  Indeo 4 (CVE-2012-2791), VP5/VP6 (CVE-2012-2783), Indeo 3 (CVE-2012-2804),
  MPEG-1/2 (CVE-2012-2803), MP3 (CVE-2012-2797), AAC (CVE-2012-5144),
  AC-3 (CVE-2012-2802), AVS (CVE-2012-2801), DFA (CVE-2012-2798)
Comment 1 Tomáš Chvátal (RETIRED) gentoo-dev 2013-01-15 13:53:16 UTC
Archs have fun :-)
Comment 2 Jeroen Roovers gentoo-dev 2013-01-15 16:03:17 UTC
I guess you meant this:

Arch teams, please test and mark stable:
=media-video/libav-0.8.5
Stable KEYWORDS : alpha amd64 arm hppa ia64 ppc ppc64 sparc x86
Comment 3 Sergey Popov gentoo-dev 2013-01-15 16:25:01 UTC
amd64 stable
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2013-01-15 20:44:56 UTC
CVE-2012-5144 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2012-5144):
  Google Chrome before 23.0.1271.97 does not properly perform AAC decoding,
  which allows remote attackers to cause a denial of service (stack memory
  corruption) or possibly have unspecified other impact via unknown vectors.

CVE-2012-2804 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2012-2804):
  Unspecified vulnerability in libavcodec/indeo3.c in FFmpeg before 0.11 has
  unknown impact and attack vectors, related to "reallocation code" and the
  luma height and width.

CVE-2012-2803 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2012-2803):
  Double free vulnerability in the mpeg_decode_frame function in
  libavcodec/mpeg12.c in FFmpeg before 0.11 has unknown impact and attack
  vectors, related to resetting the data size value.

CVE-2012-2802 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2012-2802):
  Unspecified vulnerability in the ac3_decode_frame function in
  libavcodec/ac3dec.c in FFmpeg before 0.11 has unknown impact and attack
  vectors, related to the "number of output channels" and "out of array
  writes."

CVE-2012-2801 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2012-2801):
  Unspecified vulnerability in libavcodec/avs.c in FFmpeg before 0.11 has
  unknown impact and attack vectors, related to dimensions and "out of array
  writes."

CVE-2012-2798 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2012-2798):
  Unspecified vulnerability in the decode_dds1 function in libavcodec/dfa.c in
  FFmpeg before 0.11 has unknown impact and attack vectors, related to an "out
  of array write."

CVE-2012-2797 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2012-2797):
  Unspecified vulnerability in the decode_frame_mp3on4 function in
  libavcodec/mpegaudiodec.c in FFmpeg before 0.11 has unknown impact and
  attack vectors related to a calculation that prevents a frame from being
  "large enough."

CVE-2012-2791 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2012-2791):
  Multiple unspecified vulnerabilities in the (1) decode_band_hdr function in
  indeo4.c and (2) ff_ivi_decode_blocks function in ivi_common.c in
  libavcodec/ in FFmpeg before 0.11 have unknown impact and attack vectors,
  related to the "transform size."

CVE-2012-2783 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2012-2783):
  Unspecified vulnerability in libavcodec/vp56.c in FFmpeg before 0.11 has
  unknown impact and attack vectors, related to "freeing the returned frame."
Comment 5 Agostino Sarubbo gentoo-dev 2013-01-16 15:14:32 UTC
ppc stable
Comment 6 Jeroen Roovers gentoo-dev 2013-01-16 18:20:56 UTC
Stable for HPPA.
Comment 7 Agostino Sarubbo gentoo-dev 2013-01-16 20:05:28 UTC
ppc64 stable
Comment 8 Agostino Sarubbo gentoo-dev 2013-01-20 10:46:29 UTC
alpha stable
Comment 9 Agostino Sarubbo gentoo-dev 2013-01-20 17:18:24 UTC
arm stable
Comment 10 Agostino Sarubbo gentoo-dev 2013-01-21 12:43:54 UTC
x86 stable
Comment 11 Agostino Sarubbo gentoo-dev 2013-01-21 16:24:35 UTC
sparc stable
Comment 12 Agostino Sarubbo gentoo-dev 2013-02-09 18:03:19 UTC
ia64 stable
Comment 13 Sean Amoss gentoo-dev Security 2013-03-22 15:31:46 UTC
Added to existing GLSA draft.
Comment 14 David Heidelberg (okias) 2014-03-03 00:18:31 UTC
oldest in tree libav-0.8.7, PLEASE CLOSE.
Comment 15 GLSAMaker/CVETool Bot gentoo-dev 2014-06-26 23:37:33 UTC
This issue was resolved and addressed in
 GLSA 201406-28 at http://security.gentoo.org/glsa/glsa-201406-28.xml
by GLSA coordinator Chris Reffett (creffett).